## slony1-2 2.2.1

=== debian/changelog ===
slony1-2 (2.2.1-1~9.git0086bfe.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-slony1-2-source-distribution=sid-9,
    git revision 0086bfe17b3bbbb1eeb4e0ec7c5efdaeeb60f48a)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 31 Dec 2013 18:08:49 +0100

slony1-2 (2.2.1-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Dropped patches:
    + 05_includedir-order.patch: Does not apply anymore.
    + logging.patch: Removed.
    + slon_start_pidfile.patch: Does its own pidfile handling now; adjust init
      script accordingly.
  * build-backend-separately.patch, debian/rules: slony1_funcs.so now contains
    a version number.
  * logshipping_ref-manvolnum: Fix manvolnum.
  * Update watch file to also include main page so it can see new branches.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Dec 2013 16:46:56 +0200

=== debian/control ===
Source: slony1-2
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: autotools-dev, bison, debhelper (>= 7.0.50~), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.4
Homepage: http://slony.info/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
XS-Testsuite: autopkgtest

Package: slony1-2-bin
Architecture: any
Depends: logrotate ${logrotate:version}, postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: ${module:Recommends}, libdbd-pg-perl, ntp | openntpd | chrony
Suggests: slony1-2-doc, libpg-perl
Provides: slony1-bin
Conflicts: slony1-bin
Breaks: ${logrotate:breaks}
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: slony1-2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Provides: slony1-doc
Conflicts: slony1-doc
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

Package: postgresql-8.4-slony1-2
Architecture: any
Depends: postgresql-8.4, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-8.4-slony1
Conflicts: postgresql-8.4-slony1
Description: replication system for PostgreSQL: PostgreSQL 8.4 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 8.4 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

Package: postgresql-9.0-slony1-2
Architecture: any
Depends: postgresql-9.0, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.0-slony1
Conflicts: postgresql-9.0-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.0 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.0 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

Package: postgresql-9.1-slony1-2
Architecture: any
Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.1-slony1
Conflicts: postgresql-9.1-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.1 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.1 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

Package: postgresql-9.2-slony1-2
Architecture: any
Depends: postgresql-9.2, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.2-slony1
Conflicts: postgresql-9.2-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.2 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.2 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

Package: postgresql-9.3-slony1-2
Architecture: any
Depends: postgresql-9.3, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.3-slony1
Conflicts: postgresql-9.3-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.3 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.3 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

=== debian/rules ===
#!/usr/bin/make -f

LOGROTATE_VER=$(shell LC_ALL=C apt-cache policy logrotate | awk '/Candidate:/ { print $$2 }')
LOGROTATE38=$(shell dpkg --compare-versions $(LOGROTATE_VER) ge 3.8 && echo yes)
SRCDIR = $(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk

supported_versions := $(shell pg_buildext supported-versions $(CURDIR))

%:
	dh $@

clean: debian/control prep
.PHONY: debian/control

.PHONY: prep
prep:
	rm -f debian/postgresql-?.?-slony1-2.install
	for v in $(supported_versions); do echo "usr/lib/postgresql/$$v/lib/" >debian/postgresql-$$v-slony1-2.install || exit; done

common_configure_options = --with-pgsharedir=/usr/share/slony1 --sysconfdir=/etc/slony1

override_dh_auto_configure:
	dh_auto_configure -- $(common_configure_options) --with-docs --with-docdir=/NOTUSED --with-perltools --with-perlsharedir=/usr/share/slony1 --with-pgpkglibdir=/tmp
	for v in $(supported_versions); do ( \
		mkdir -p build-$$v/src/backend && \
		ln -s $(CURDIR)/config build-$$v/ && \
		ln -s $(CURDIR)/src/backend/Makefile build-$$v/src/backend/ && \
		cd build-$$v/ && \
		../configure $(common_configure_options) --with-pgconfigdir=/usr/lib/postgresql/$$v/bin --with-pgpkglibdir=/usr/lib/postgresql/$$v/lib \
	) || exit; done

altperl_scripts = slon_kill slon_start slon_status slon_watchdog slon_watchdog2 slonik_build_env \
	slonik_add_node slonik_create_set slonik_drop_node slonik_drop_sequence slonik_drop_set slonik_drop_table slonik_execute_script \
	slonik_failover slonik_init_cluster slonik_merge_sets slonik_move_set slonik_print_preamble slonik_restart_node \
	slonik_store_node slonik_subscribe_set slonik_uninstall_nodes slonik_unsubscribe_set slonik_update_nodes \
	slony_show_configuration

override_dh_auto_build:
	+dh_auto_build
	for v in $(supported_versions); do $(MAKE) -C build-$$v/src/backend so VPATH=$(CURDIR)/src/backend || exit; done
	for f in $(altperl_scripts); do \
	  sed "s/@program@/$$f/g;s/@PROGRAM@/\U$$f/g" debian/altperl.1.in >debian/$$f.1 || exit $?; \
	done

override_dh_auto_clean:
	test ! -f GNUmakefile || $(MAKE) distclean
	rm -f doc/adminguide/slony.xml
	rm -f $(altperl_scripts:%=debian/%.1)
	for v in $(supported_versions); do rm -rf build-$$v/ || exit; done
	rm -f tests/random_number tests/random_string

override_dh_auto_install:
	+dh_auto_install
	for v in $(supported_versions); do $(MAKE) -C build-$$v/src/backend installso VPATH=$(CURDIR)/src/backend DESTDIR=$(CURDIR)/debian/tmp || exit; done
	(echo -n "module:Recommends="; for v in $(supported_versions); do echo -n "postgresql-$$v-slony1-2 |"; done) >>debian/slony1-2-bin.substvars

override_dh_installinit:
	dh_installinit --name=slony1

override_dh_installlogrotate:
	dh_installlogrotate --name=slony1
ifeq ($(LOGROTATE38),)
	sed -i -e 's/	su/	#su/' debian/slony1-2-bin/etc/logrotate.d/slony1
endif

override_dh_installdocs:
	dh_installdocs $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl HTML\.index Makefile)

override_dh_compress:
	dh_compress -X\.pl -X\.sh

override_dh_gencontrol:
ifeq ($(LOGROTATE38),yes)
	# logrotate >= 3.8: depend on new logrotate version
	dh_gencontrol -- -Vlogrotate:version="(>= 3.8)"
else
	# logrotate < 3.8: depend on logrotate, and declare breaks new version
	dh_gencontrol -- -Vlogrotate:breaks="logrotate (>= 3.8)"
endif

## slony1-2 2.2.3

=== debian/changelog ===
slony1-2 (2.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 24 Jul 2014 14:14:38 +0200

slony1-2 (2.2.2-2) experimental; urgency=medium

  * B-D on pg-common 158 to build against 9.3 and 9.4.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2014 23:28:37 +0200

slony1-2 (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Dropped patches:
    + 05_includedir-order.patch: Does not apply anymore.
    + logging.patch: Removed.
    + slon_start_pidfile.patch: Does its own pidfile handling now; adjust init
      script accordingly.
  * build-backend-separately.patch, debian/rules: slony1_funcs.so now contains
    a version number.
  * logshipping_ref-manvolnum: Fix manvolnum.
  * Update watch file to also include main page so it can see new branches.
  * Set team as maintainer.
  * Bump to dh 9.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 26 May 2014 17:19:43 +0200

=== debian/control ===
Source: slony1-2
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: autotools-dev, bison, debhelper (>= 9), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.5
Homepage: http://slony.info/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
XS-Testsuite: autopkgtest

Package: slony1-2-bin
Architecture: any
Depends: logrotate ${logrotate:version}, postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: ${module:Recommends}, libdbd-pg-perl, ntp | openntpd | chrony
Suggests: slony1-2-doc, libpg-perl
Provides: slony1-bin
Conflicts: slony1-bin
Breaks: ${logrotate:breaks}
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: slony1-2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Provides: slony1-doc
Conflicts: slony1-doc
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

Package: postgresql-9.4-slony1-2
Architecture: any
Depends: postgresql-9.4, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-2-bin
Provides: postgresql-9.4-slony1
Conflicts: postgresql-9.4-slony1
Description: replication system for PostgreSQL: PostgreSQL 9.4 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 9.4 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	rm -f $(altperl_scripts:%=debian/%.1)
 	for v in $(supported_versions); do rm -rf build-$$v/ || exit; done
 	rm -f tests/random_number tests/random_string
+	rm -f 'doc/adminguide/slony_logshipping.<1' # bogus file in 2.2.0
 
 override_dh_auto_install:
 	+dh_auto_install
@@ -65,7 +66,7 @@
 endif
 
 override_dh_installdocs:
-	dh_installdocs $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl HTML\.index Makefile)
+	dh_installdocs $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl gitignore HTML\.index Makefile)
 
 override_dh_compress:
 	dh_compress -X\.pl -X\.sh

## slony1-2 2.2.4

=== doc/adminguide/Makefile ===
#----------------------------------------------------------------------------
#
# PostgreSQL documentation makefile
#
# 
#
#----------------------------------------------------------------------------

subdir = doc/adminguide
slony_top_builddir = ../..

include $(slony_top_builddir)/Makefile.global

.SECONDARY:
.NOTPARALLEL:


GENERATED_SGML = bookindex.sgml version.sgml schemadoc.sgml
GENERATED_XML = schemadoc.xml

ALLSGML = $(wildcard $(srcdir)/*.sgml) $(GENERATED_SGML) $(GENERATED_XML)
DISTFILES = $(ALLSGML) $(GENERATED_SGML)

ifdef DOCBOOKSTYLE
CATALOG = -c $(DOCBOOKSTYLE)/catalog
endif

# Enable draft mode during development
ifneq (,$(findstring devel, $(VERSION)))
override JADEFLAGS += -V draft-mode
endif

# docbook2man generates man pages from docbook refentry source code.
ifdef D2MDIR
D2MSCRIPT=$(D2MDIR)/docbook2man-spec.pl
endif

# Enable some extra warnings
override SPFLAGS += -wall -wno-unused-param -wno-empty

##
## Man pages
##

.PHONY: man


man: man.sgml $(ALLSGML)
ifdef NSGMLS
ifdef SGMLSPL
ifdef D2MSCRIPT
	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
# One more time, to resolve cross-references
	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
	mkdir -p man1 man7
	mv *.1 man1/
	mv *.7 man7/
endif
endif
endif

##
## HTML
##

all: html man

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/sgml
	$(mkinstalldirs) $(DESTDIR)$(docdir)/html
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man1
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man7
endif

install: installdirs
ifdef D2MSCRIPT
ifdef docdir
	for file in man1/*.1; do \
	   $(INSTALL_DATA) $$file $(DESTDIR)$(mandir)/$$file || exit;\
	done
	for file in man7/*.7; do \
	   echo $$file; \
	   $(INSTALL_DATA) "$$file" $(DESTDIR)$(mandir)/$$file || exit;\
	done
	for file in $(wildcard *.html) stylesheet.css ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/html || exit;\
	done
endif
endif

HTML.index: html

.PHONY: html

ifndef JADE
html:
	@echo "You must have jade installed to build the documentation." && exit;
else
html: slony.sgml $(ALLSGML) stylesheet.dsl
	@rm -f *.html ;\
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -ioutput-html -t sgml $<
ifeq ($(vpath_build), yes)
	@cp $(srcdir)/stylesheet.css .
endif
endif

COLLATEINDEX := LC_ALL=C $(PERL) $(COLLATEINDEX) -f -g

ifdef JADE
ifeq (,$(wildcard HTML.index))
bookindex.sgml:
	$(COLLATEINDEX) -o $@ -N -i 'bookindex'
else
bookindex.sgml: HTML.index
	$(COLLATEINDEX) -i 'bookindex' -o $@ $<
endif
else
bookindex.sgml:
	@echo "You must have jade to build the documentation" && exit
endif

##
## Print
##

# RTF to allow minor editing for hardcopy

%.rtf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t rtf -V rtf-backend -ioutput-print $<

# TeX
# Regular TeX and pdfTeX have slightly differing requirements, so we
# need to distinguish the path we're taking.

%.tex-ps: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texdvi-output -o $@ $<

%.tex-pdf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texpdf-output -o $@ $<

%.pdf: %.xml
	sed -i "s:<article:<sect1:g;s:</article:</sect1:g" $<;
	# We use dblatex to generate a temporary Tex file named (for example) 'slony-tmp.tex'
	dblatex -t tex -o slony-tmp.tex $<
	#  We drop bad lines "\end{document}" generated by dblatex
	grep -vE '^(\\end{document}|\\subsection\*)$$' slony-tmp.tex > slony.tex
	# We put the required '\end{document}' at the end of the Tex file
	echo "\end{document}" >>  slony.tex
	# Latex required to run the following command 3 times in order to generating the TOC of the document
	pdflatex slony.tex
	pdflatex slony.tex
	pdflatex slony.tex

%.dvi: %.tex-ps
	@rm -f $*.aux $*.log
	jadetex $<
	jadetex $<
	jadetex $<

# Postscript from TeX
%.ps: %.dvi
	dvips -o $@ $<


# This generates an XML version of the flow-object tree.  It's useful
# for debugging DSSSL code, and possibly to interface to some other
# tools that can make use of this.
%.fot: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t fot -i output-print -o $@ $<


# Graphics

%.gif:
	cp $(srcdir)/../graphics/$@ .

%.eps: %.gif
	$(CONVERT) $< eps:$@

%.pdf: %.eps
	$(EPSTOPDF) $<


##
## Semi-automatic generation of some text files.
##

JADE.text = $(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -i output-text -t sgml
LYNX = lynx

INSTALL HISTORY regress_README: % : %.html
	$(PERL) -p -e 's/<H(1|2)$$/<H\1 align=center/g' $< | $(LYNX) -force_html -dump -nolist -stdin >$@

INSTALL.html: standalone-install.sgml installation.sgml 
	$(JADE.text) -V nochunks standalone-install.sgml installation.sgml >$@

HISTORY.html: release.sgml
	( echo '<!doctype appendix PUBLIC "-//OASIS//DTD DocBook V4.2//EN">'; \
	  cat $< ) >tempfile_HISTORY.sgml
	$(JADE.text) -V nochunks tempfile_HISTORY.sgml >$@
	rm tempfile_HISTORY.sgml

regress_README.html: regress.sgml
	( echo '<!doctype chapter PUBLIC "-//OASIS//DTD DocBook V4.2//EN" ['; \
	  echo '<!entity % standalone-ignore "IGNORE"> ]>'; \
	  cat $< ) >tempfile_regress_README.sgml
	$(JADE.text) -V nochunks tempfile_regress_README.sgml >$@
	rm tempfile_regress_README.sgml


##
## Experimental XML stuff
##

OSX = osx # (may be called sx or sgml2xml on some systems)
XSLTPROC = xsltproc

slony.xml: slony.sgml $(GENERATED_SGML)
	$(OSX) -x lower $< | \
	  sed -e 's/\[\(lt\|gt\|amp\|nbsp\|copy\|quot\|ouml\|uuml\|egrave\) *\]/\&\1;/g' \
	      -e '1a\' -e '<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">' \
	  >$@

testxml: stylesheet.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^

htmlhelp: stylesheet-hh.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^


##
## Check
##

# Quick syntax check without style processing
check: slony.sgml $(ALLSGML) $(GENERATED_SGML)
	$(NSGMLS) $(SPFLAGS) $(SGMLINCLUDE) -s $<


##
## Clean
##

distclean:
# HTML
	rm -f HTML.manifest *.html *.gif
# man
	rm -rf *.1 *.7 man1 man7 manpage.refs manpage.links manpage.log
# print
	rm -f *.rtf *.tex-ps *.tex-pdf *.dvi *.aux *.log *.ps *.pdf *.out *.eps *.fot *.tex *-temp.tex *.toc *.toc *.loc *.lot *.glo
# index
	rm -f HTML.index $(GENERATED_SGML)
# text
	rm -f INSTALL HISTORY
	rm -f slony.xml
clean maintainer-clean : distclean
# xml
	rm -f schemadoc.xml 

BASEDIR=$(slony_top_builddir)/src/backend
BASESQL=$(BASEDIR)/slony1_base.sql
BASEFUNS=$(BASEDIR)/slony1_funcs.sql
XIDSQL=localxid.sql
TEMPDB=schemadoc
TEMPSCHEMA=schemadoc
CREATELANG=$(pgbindir)/createlang   # That's how it is for me...

schemadoc.sgml: schemadoc.xml
	sed 's,/>,>,g' $< >$@

schemadoc.xml: $(BASESQL) $(BASEFUNS) $(XIDDIR)
	@$(pgbindir)/createdb $(TEMPDB) && ( \
	$(CREATELANG) plpgsql $(TEMPDB) 2>/dev/null ; \
	echo "drop schema $(TEMPSCHEMA);create schema $(TEMPSCHEMA);" | $(pgbindir)/psql $(TEMPDB) && \
	cat $(XIDSQL) $(BASEFUNS) $(BASESQL) |  sed -e "s/@NAMESPACE@/$(TEMPSCHEMA)/g"  -e "s/@CLUSTERNAME@/$(TEMPSCHEMA)/g" | $(pgbindir)/psql $(TEMPDB) && \
	$(PGAUTODOC) -d $(TEMPDB) -s $(TEMPSCHEMA) -t xml -f schemadoc ;\
	sed -i.bak -e "s/$(TEMPSCHEMA)\.//g" -e "s@<book.*>@@g" -e "s@</book.*>@@g" schemadoc.xml ;\
	rm  schemadoc.xml.bak ;\
	$(pgbindir)/dropdb $(TEMPDB) >/dev/null 2>&1 \
	) || echo "unable to createdb $(TEMPDB)"

version.sgml:	$(slony_top_builddir)/Makefile.global
	{ \
	echo "<!entity version \"$(VERSION)\">"; \
	echo "<!entity majorversion \"`expr $(VERSION) : '\([0-9][0-9]*\.[0-9][0-9]*\)'`\">"; \
	} >$@

distdir:	$(DISTFILES)
	mkdir -p $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	@for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done

=== debian/changelog ===
slony1-2 (2.2.4-3) unstable; urgency=medium

  * Upload 9.5 to unstable.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jan 2016 21:18:24 +0100

slony1-2 (2.2.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2015 21:17:20 +0200

slony1-2 (2.2.4-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Use autotools-dev to update config.{sub,guess} for new arches. Thanks
    Logan Rosen. (Closes: #751722)

  [ Christoph Berg ]
  * New upstream release.
  * debian/rules: Reverse the list of supported versions to have the default
    version first in module:Recommends. (Closes: #773754)
  * Remove build date from html docs to make binary builds reproducible.
  * debian/slony1-2-bin.slony1.init: Now really remove --pidfile option.
    (Closes: #767640)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 03 Feb 2015 11:12:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: autotools-dev, bison, debhelper (>= 9), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 148~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://slony.info/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
@@ -40,20 +40,20 @@
  This package contains the documentation for the Slony-I system.  It is
  not required for normal operation.
 
-Package: postgresql-9.4-slony1-2
+Package: postgresql-9.5-slony1-2
 Architecture: any
-Depends: postgresql-9.4, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
 Suggests: slony1-2-bin
-Provides: postgresql-9.4-slony1
-Conflicts: postgresql-9.4-slony1
-Description: replication system for PostgreSQL: PostgreSQL 9.4 server plug-in
+Provides: postgresql-9.5-slony1
+Conflicts: postgresql-9.5-slony1
+Description: replication system for PostgreSQL: PostgreSQL 9.5 server plug-in
  Slony-I is an asynchronous master-to-multiple-slaves replication system
  for PostgreSQL with cascading and slave promotion.
  .
  This package contains the support functions that are loaded into the
  PostgreSQL database server.  It needs to be installed on the hosts where
  the database server nodes are running.  This package works with version
- 9.4 of the PostgreSQL server; you need the package that corresponds to
+ 9.5 of the PostgreSQL server; you need the package that corresponds to
  the version of your database server.
  .
  The actual replication daemon and the administration tools are in the

=== debian/tests/control ===
Depends: @, postgresql, postgresql-server-dev-all
Tests: runtests
Restrictions: needs-root

=== debian/watch ===
version=3
# main page for all branches
opts=uversionmangle=s/-rc/~rc/ \
http://www.slony.info/ .*/slony1-([0-9.]+).tar.bz2  debian  uupdate
# list of all 2.2 tarballs
opts=uversionmangle=s/-rc/~rc/ \
http://www.slony.info/downloads/2.2/source/slony1-([0-9.]+).tar.bz2  debian  uupdate

## slony1-2 2.2.5

=== src/slon/Makefile ===
# ----------
# Makefile for src/slon
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#
# ----------

slony_subdir = src/slon
slony_top_builddir = ../..
SLFILEDESC="Slony replication engine"
include $(slony_top_builddir)/Makefile.global
CPPFLAGS:=$(CPPFLAGS_CLIENT)
SFILES=$(wildcard *.c)
CC = $(PTHREAD_CC)

override CFLAGS += $(PTHREAD_CFLAGS) -I$(slony_top_builddir) -I$(slony_top_builddir)/$(slony_subdir)
override LDFLAGS += $(PTHREAD_LIBS) 

PROG		= slon

ifeq ($(PORTNAME), win)
PROG            = slon.exe
endif
ifeq ($(PORTNAME), win32)
PROG            = slon.exe
endif

OBJS		= \
    slon.o			\
    runtime_config.o	\
    local_listen.o		\
    remote_listen.o		\
    remote_worker.o		\
    sync_thread.o		\
    monitor_thread.o	\
    cleanup_thread.o	\
    scheduler.o		\
    dbutils.o		\
    conf-file.o		\
    confoptions.o		\
    misc.o                  \
    ../parsestatements/scanner.o

ifeq ($(PORTNAME), win32)
OBJS += port/pipe.o port/win32service.o $(WIN32RES)
override LDFLAGS += -lwsock32
endif


DISTFILES = Makefile README $(wildcard *.c) $(wildcard port/*.c) $(wildcard *.h) $(wildcard *.l) $(wildcard *.y)

ALL =				\
    $(PROG)


all:	$(ALL)

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(PTHREAD_CFLAGS) $(LDFLAGS)

cleanup_thread.o:	cleanup_thread.c slon.h
dbutils.o:			dbutils.c slon.h
local_listen.o:		local_listen.c slon.h
misc.o:				misc.c slon.h
remote_listen.o:	remote_listen.c slon.h
remote_worker.o:	remote_worker.c slon.h
runtime_config.o:	runtime_config.c slon.h
scheduler.o:		scheduler.c slon.h
slon.o:				slon.c slon.h
sync_thread.o:		sync_thread.c slon.h
monitor_thread.o:	monitor_thread.c slon.h
conf-file.o:		conf-file.c slon.h confoptions.h
confoptions.o:		confoptions.c slon.h confoptions.h

conf-file.c:		conf-file.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -o'$@' $<
else
	@echo "Missing flex $< $@"
	@exit
endif

clean distclean:
	rm -f $(ALL) $(OBJS) $(PROG).core

maintainer-clean: clean
	rm -f conf-file.c

install: all installdirs
	$(INSTALL_SCRIPT) $(PROG) $(DESTDIR)$(slonbindir)


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(slonbindir)

splint:
	splint -I $(pgincludedir) -I $(pgincludeserverdir) +unixlib -preproc +skip-sys-headers $(SFILES)

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done

=== debian/changelog ===
slony1-2 (2.2.5-2) unstable; urgency=medium

  * Team upload for 9.6 support.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2016 22:39:40 +0200

slony1-2 (2.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Add myself to uploaders.
  * B-D on libjpeg-turbo-progs as alternative to libjpeg-progs
    (Closes: 813396).

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 08 Jul 2016 21:55:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: autotools-dev, bison, debhelper (>= 9), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 148~)
-Standards-Version: 3.9.6
+Uploaders: Christoph Berg <myon@debian.org>,
+ Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
+Build-Depends: autotools-dev, bison, debhelper (>= 9), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, docbook-utils, flex, ghostscript, groff, libjpeg-turbo-progs | libjpeg-progs, libpq-dev, logrotate, netpbm, openjade, opensp, postgresql-server-dev-all (>= 148~)
+Standards-Version: 3.9.8
 Homepage: http://slony.info/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
@@ -40,20 +41,20 @@
  This package contains the documentation for the Slony-I system.  It is
  not required for normal operation.
 
-Package: postgresql-9.5-slony1-2
+Package: postgresql-9.6-slony1-2
 Architecture: any
-Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
 Suggests: slony1-2-bin
-Provides: postgresql-9.5-slony1
-Conflicts: postgresql-9.5-slony1
-Description: replication system for PostgreSQL: PostgreSQL 9.5 server plug-in
+Provides: postgresql-9.6-slony1
+Conflicts: postgresql-9.6-slony1
+Description: replication system for PostgreSQL: PostgreSQL 9.6 server plug-in
  Slony-I is an asynchronous master-to-multiple-slaves replication system
  for PostgreSQL with cascading and slave promotion.
  .
  This package contains the support functions that are loaded into the
  PostgreSQL database server.  It needs to be installed on the hosts where
  the database server nodes are running.  This package works with version
- 9.5 of the PostgreSQL server; you need the package that corresponds to
+ 9.6 of the PostgreSQL server; you need the package that corresponds to
  the version of your database server.
  .
  The actual replication daemon and the administration tools are in the

## slony1-2 2.2.6

=== src/backend/Makefile ===
# ----------
# Makefile for src/backend
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = src/backend
slony_top_builddir = ../..
SLFILEDESC="Slony replication functions"
NAME		= slony1_funcs
SO_NAME = $(NAME).$(VERSION)$(DLSUFFIX)
include $(slony_top_builddir)/Makefile.global
CPPFLAGS:=$(CPPFLAGS_SERVER)
override CFLAGS += -I$(slony_top_builddir) $(CFLAGS_SL)


SO_OBJS	= $(NAME).o $(WIN32RES)

BASE_COMMON		= slony1_base.sql
FUNCS_COMMON	= slony1_funcs.sql

BASE_83			= slony1_base.v83.sql
FUNCS_83		= slony1_funcs.v83.sql
BASE_84			= slony1_base.v84.sql
FUNCS_84		= slony1_funcs.v84.sql

SQL_NAMES =				\
	$(BASE_COMMON)		\
	$(FUNCS_COMMON)		\
	$(BASE_83)			\
	$(BASE_84)			\
	$(FUNCS_83)			\
	$(FUNCS_84)

DISTFILES = Makefile README README.events $(wildcard *.sql) $(wildcard *.in) $(wildcard *.c)

ALL = $(SQL_NAMES)		\
	$(SO_NAME)


all:	$(ALL)

$(SO_NAME):	$(SO_OBJS)

$(NAME).o:	$(NAME).c avl_tree.c avl_tree.h

avl_tree.c:	../misc/avl_tree.c
	cp $< $@

avl_tree.h:	../misc/avl_tree.h
	cp $< $@

clean distclean maintainer-clean:
	rm -f $(SO_NAME) $(SO_OBJS) avl_tree.c avl_tree.h

splint:
	splint -I $(pgincludedir) -I $(pgincludeserverdir) +unixlib -preproc +skip-sys-headers $(wildcard *.c)

install: all installdirs
	$(INSTALL_SCRIPT) $(SO_NAME) $(DESTDIR)$(pgpkglibdir)
	for file in $(SQL_NAMES); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(pgsharedir)/`basename $$file .sql`.$(VERSION).sql || exit ; \
	done


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pgpkglibdir)
	$(mkinstalldirs) $(DESTDIR)$(pgsharedir)



distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/parsestatements/Makefile ===
slony_subdir = src/parsestatements
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

CPPFLAGS:=$(CPPFLAGS_CLIENT)

PROG=test-scanner
FLEX=flex

ifeq ($(PORTNAME), win32)
SUFFIX=.win32
endif

all: $(PROG) test

scanner.o: scanner.c scanner.h

$(PROG): $(PROG).o scanner.o
	$(CC) $(CFLAGS) -o $(PROG) test-scanner.c scanner.o

test-scanner.o: test-scanner.c

test: test-scanner
	./test-scanner < /dev/null > emptytestresult.log
#	cmp ./emptytestresult.log emptytestresult.expected$(SUFFIX)
	./test-scanner < ./test_sql.sql > test_sql.log
#	cmp ./test_sql.log ./test_sql.expected$(SUFFIX)
	./test-scanner < ./cstylecomments.sql > cstylecomments.log
#	cmp ./cstylecomments.log ./cstylecomments.expected$(SUFFIX)

install:

maintainer-clean: clean
distclean: clean

clean:
	rm -f scanner.o test-scanner test-scanner.o
	rm -f *.log

=== tools/altperl/Makefile ===
# ----------
# Makefile
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#       
#
# ----------

slony_subdir = tools/altperl
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

DISTFILES = Makefile ToDo README $(wildcard *.pl) $(wildcard *.pm) slon_tools.conf-sample

all:
ifdef toolsbin
ifndef PERL
	@echo "The altperl tools require that Perl be installed."
	exit 1;
endif
ifndef SED
	@echo "sed is required to build the altperl tools."
	exit 1;
endif
	@for file in $(wildcard *.pl) $(wildcard *.pm); do \
		tmpname=`echo $$file | $(SED) "s#\.p[lm]##"` && \
		$(SED) -e "s#@@PERL@@#$(PERL)#;" \
                       -e "s#@@SYSCONFDIR@@#$(sysconfdir)#;" \
                       -e "s#@@PERLSHAREDIR@@#$(perlsharedir)#;" \
                       -e "s#@@PGBINDIR@@#$(pgbindir)#;" \
                       -e "s#@@SLONBINDIR@@#$(slonbindir)#;" \
                       -e "s#@@TOOLSBIN@@#$(toolsbin)#;" \
                       $$file > $$tmpname && \
		chmod 755 $$tmpname \
		|| exit; \
	done
endif

install: installdirs
ifndef toolsbin
	@echo "The altperl tools won't be installed unless --with-perltools is specified in configure"
else
	$(INSTALL_DATA)   slon_tools.conf-sample $(DESTDIR)$(sysconfdir)
	$(INSTALL_DATA)   slon-tools             $(DESTDIR)$(perlsharedir)/slon-tools.pm
	for file in $(wildcard *.pl) ; do \
		tmpname=`echo $$file | $(SED) "s#\.pl##"` && \
		$(INSTALL_SCRIPT) $$tmpname $(DESTDIR)$(toolsbin) \
		|| exit; \
	done
endif

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(sysconfdir)
	$(mkinstalldirs) $(DESTDIR)$(pglibdir)
	$(mkinstalldirs) $(DESTDIR)$(toolsbin)

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done

clean distclean maintainer-clean:
	@for file in $(wildcard *.pl) $(wildcard *.pm); do \
		tmpname=`echo $$file | $(SED) "s#\.p[lm]##"` && \
		rm -f $$tmpname \
		|| exit; \
	done

=== debian/changelog ===
slony1-2 (2.2.6-1) unstable; urgency=medium

  * Team upload for PostgreSQL 10.
  * New upstream version.
  * Recommend time-daemon as an alternative to ntp, patch by Vincent Blut,
    merci! Closes: #852650.
  * Depend on lsb-base, thanks lintian.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 15:02:53 +0200

=== debian/control ===
Source: slony1-2
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 autotools-dev,
 bison,
 debhelper (>= 9),
 docbook (>= 4.2),
 docbook-dsssl,
 docbook-utils,
 docbook-xml (>= 4.2),
 docbook2x (>= 0.8.8-4),
 flex,
 ghostscript,
 groff,
 libjpeg-turbo-progs | libjpeg-progs,
 libpq-dev,
 logrotate,
 netpbm,
 openjade,
 opensp,
 postgresql-server-dev-all (>= 148~),
Standards-Version: 4.1.0
Homepage: http://slony.info/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
XS-Testsuite: autopkgtest

Package: slony1-2-bin
Architecture: any
Depends:
 lsb-base (>= 3.0-6),
 logrotate ${logrotate:version},
 postgresql-common,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 libdbd-pg-perl,
 ntp | time-daemon,
 ${module:Recommends},
Suggests:
 libpg-perl,
 slony1-2-doc,
Provides:
 slony1-bin,
Conflicts:
 slony1-bin,
Breaks:
 ${logrotate:breaks},
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: slony1-2-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Provides:
 slony1-doc,
Conflicts:
 slony1-doc,
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

Package: postgresql-10-slony1-2
Architecture: any
Depends:
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 slony1-2-bin,
Provides:
 postgresql-10-slony1,
Conflicts:
 postgresql-10-slony1,
Description: replication system for PostgreSQL: PostgreSQL 10 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 10 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,11 @@
 SRCDIR = $(CURDIR)
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 
-supported_versions := $(shell pg_buildext supported-versions $(CURDIR))
+# reverse the list of supported versions to have the default version first in module:Recommends
+supported_versions := $(shell pg_buildext supported-versions | tac)
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
 
 clean: debian/control prep
 .PHONY: debian/control

## slony1-2 2.2.7

=== debian/changelog ===
slony1-2 (2.2.7-2.pgdg+2) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 13 Oct 2018 22:55:02 +0200

slony1-2 (2.2.7-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * debian/source/format: Remove bzip2 compression.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:55:02 +0200

slony1-2 (2.2.7-1) unstable; urgency=medium

  * New upstream version.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.
  * Remove autotools_dev from dh calls.
  * Remove compat code for pre-3.8 logrotate versions.
  * Mark slony1-2-doc as M-A: foreign.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Aug 2018 21:47:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: slony1-2
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
- autotools-dev,
  bison,
- debhelper (>= 9),
+ debhelper (>= 9.20160114),
  docbook (>= 4.2),
  docbook-dsssl,
  docbook-utils,
@@ -19,22 +18,21 @@
  groff,
  libjpeg-turbo-progs | libjpeg-progs,
  libpq-dev,
- logrotate,
  netpbm,
  openjade,
  opensp,
  postgresql-server-dev-all (>= 148~),
-Standards-Version: 4.1.0
+Standards-Version: 4.2.0
 Homepage: http://slony.info/
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/slony1-2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/slony1-2.git
+Vcs-Git: https://salsa.debian.org/postgresql/slony1-2.git
+Vcs-Browser: https://salsa.debian.org/postgresql/slony1-2
 XS-Testsuite: autopkgtest
 
 Package: slony1-2-bin
 Architecture: any
 Depends:
  lsb-base (>= 3.0-6),
- logrotate ${logrotate:version},
+ logrotate,
  postgresql-common,
  ${misc:Depends},
  ${perl:Depends},
@@ -50,8 +48,6 @@
  slony1-bin,
 Conflicts:
  slony1-bin,
-Breaks:
- ${logrotate:breaks},
 Description: replication system for PostgreSQL: daemon and administration tools
  Slony-I is an asynchronous master-to-multiple-slaves replication system
  for PostgreSQL with cascading and slave promotion.
@@ -64,6 +60,7 @@
 Package: slony1-2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Provides:
@@ -77,6 +74,110 @@
  This package contains the documentation for the Slony-I system.  It is
  not required for normal operation.
 
+Package: postgresql-9.3-slony1-2
+Architecture: any
+Depends:
+ postgresql-9.3,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-9.3-slony1,
+Conflicts:
+ postgresql-9.3-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 9.3 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 9.3 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-9.4-slony1-2
+Architecture: any
+Depends:
+ postgresql-9.4,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-9.4-slony1,
+Conflicts:
+ postgresql-9.4-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 9.4 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 9.4 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-9.5-slony1-2
+Architecture: any
+Depends:
+ postgresql-9.5,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-9.5-slony1,
+Conflicts:
+ postgresql-9.5-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 9.5 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 9.5 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
+Package: postgresql-9.6-slony1-2
+Architecture: any
+Depends:
+ postgresql-9.6,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-9.6-slony1,
+Conflicts:
+ postgresql-9.6-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 9.6 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 9.6 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
 Package: postgresql-10-slony1-2
 Architecture: any
 Depends:
@@ -103,3 +204,29 @@
  package slony1-2-bin.  This package is useless without slony1-2-bin installed
  somewhere in the network.
 
+Package: postgresql-11-slony1-2
+Architecture: any
+Depends:
+ postgresql-11,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ slony1-2-bin,
+Provides:
+ postgresql-11-slony1,
+Conflicts:
+ postgresql-11-slony1,
+Description: replication system for PostgreSQL: PostgreSQL 11 server plug-in
+ Slony-I is an asynchronous master-to-multiple-slaves replication system
+ for PostgreSQL with cascading and slave promotion.
+ .
+ This package contains the support functions that are loaded into the
+ PostgreSQL database server.  It needs to be installed on the hosts where
+ the database server nodes are running.  This package works with version
+ 11 of the PostgreSQL server; you need the package that corresponds to
+ the version of your database server.
+ .
+ The actual replication daemon and the administration tools are in the
+ package slony1-2-bin.  This package is useless without slony1-2-bin installed
+ somewhere in the network.
+
